createPairingSession
POST
/api/v1/player/pairing-sessions
const url = 'https://example.com/api/v1/player/pairing-sessions';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"installationId":"example","metadata":{"playerInstallationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","platform":"example","manufacturer":"example","model":"example","androidVersion":"example","playerVersion":"example","screenWidth":1,"screenHeight":1,"density":1,"locale":"example","timezone":"example","approximateAddress":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/player/pairing-sessions \ --header 'Content-Type: application/json' \ --data '{ "installationId": "example", "metadata": { "playerInstallationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "platform": "example", "manufacturer": "example", "model": "example", "androidVersion": "example", "playerVersion": "example", "screenWidth": 1, "screenHeight": 1, "density": 1, "locale": "example", "timezone": "example", "approximateAddress": "example" } }'Public. Start a pairing session and return the visible code with its private poll secret.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
installationId
required
Installation identity the Player read from the server.
string
metadata
required
object
playerInstallationId
required
string format: uuid
platform
required
string
manufacturer
required
string
model
required
string
androidVersion
required
string
playerVersion
required
string
screenWidth
required
integer
screenHeight
required
integer
density
required
number
locale
required
string
timezone
required
string
approximateAddress
string
Examplegenerated
{ "installationId": "example", "metadata": { "playerInstallationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "platform": "example", "manufacturer": "example", "model": "example", "androidVersion": "example", "playerVersion": "example", "screenWidth": 1, "screenHeight": 1, "density": 1, "locale": "example", "timezone": "example", "approximateAddress": "example" }}Responses
Section titled “ Responses ”Pairing session created
Media typeapplication/json
object
data
required
object
id
required
string format: uuid
code
required
Visible six-character pairing code shown to the installer.
string
pollSecret
required
Private poll secret for Authorization Pairing polling. Never use the visible code to poll.
string
expiresAt
required
string format: date-time
serverTime
required
string format: date-time
pollingIntervalSeconds
required
integer
approvalUrl
required
string
organizationName
required
string
Examplegenerated
{ "data": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "code": "example", "pollSecret": "example", "expiresAt": "2026-04-15T12:00:00Z", "serverTime": "2026-04-15T12:00:00Z", "pollingIntervalSeconds": 1, "approvalUrl": "example", "organizationName": "example" }}Installation identity mismatch
Pairing requests are rate limited